"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

require("core-js/modules/es.array.iterator.js");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.ClientContext = ClientContext;

function _react() {
  const data = _interopRequireDefault(require("react"));

  _react = function () {
    return data;
  };

  return data;
}

function _baseUiTheme() {
  const data = require("@teambit/base-ui.theme.theme-provider");

  _baseUiTheme = function () {
    return data;
  };

  return data;
}

function _designTheme() {
  const data = require("@teambit/design.theme.icons-font");

  _designTheme = function () {
    return data;
  };

  return data;
}

function _baseUiLoaders() {
  const data = require("@teambit/base-ui.loaders.loader-ribbon");

  _baseUiLoaders = function () {
    return data;
  };

  return data;
}

function _baseUiThemeFonts() {
  const data = require("@teambit/base-ui.theme.fonts.roboto");

  _baseUiThemeFonts = function () {
    return data;
  };

  return data;
}

var _designUi = require("@teambit/design.ui.tooltip");

var _uiFoundationUi = require("@teambit/ui-foundation.ui.global-loader");

function _clientContextModule() {
  const data = _interopRequireDefault(require("./client-context.module.scss"));

  _clientContextModule = function () {
    return data;
  };

  return data;
}

function ClientContext({
  children
}) {
  const [loaderApi, isLoading] = (0, _uiFoundationUi.useLoaderApi)();
  return /*#__PURE__*/_react().default.createElement(_react().default.StrictMode, null, /*#__PURE__*/_react().default.createElement(_uiFoundationUi.LoaderContext.Provider, {
    value: loaderApi
  }, /*#__PURE__*/_react().default.createElement(_designTheme().IconFont, {
    query: "cr084i"
  }), /*#__PURE__*/_react().default.createElement(_baseUiTheme().Theme, null, /*#__PURE__*/_react().default.createElement(_baseUiThemeFonts().Roboto, null), /*#__PURE__*/_react().default.createElement(_baseUiLoaders().LoaderRibbon, {
    active: isLoading,
    className: _clientContextModule().default.loader
  }), children, /*#__PURE__*/_react().default.createElement(_designUi.TooltipMountPoint, null))));
}

//# sourceMappingURL=/home/circleci/Library/Caches/Bit/capsules/8891be5ad3d35bfc38b9cd90c0e05b598a5a55af/teambit.ui-foundation_ui@0.0.404/ui/client-context.js.map